/*
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,300;1,300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,700;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Ruthie&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,500;1,500&display=swap');
*/
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}
body{
	background-color: black;
}
html {
    scroll-behavior: smooth;
}
.raleway-light {
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}
.raleway-medium {
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}
.raleway-bold {
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}
.ruthie-regular {
  font-family: "Ruthie", cursive;
  font-weight: 400;
  font-style: normal;
}

p{
	font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}

h1{
	font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-size: 4rem;
}
h2{
	font-family: "Ruthie", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 2.5rem;
}
h3{
	font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  font-size: 2.25rem;
  line-height: 16px;
}
h4{
	font-family: "Ruthie", cursive;
  font-weight: 400;
  font-style: normal;
  font-size: 2.25rem;
}
h5{
	font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: 1.25rem;
}

.container{
	max-width: 1140px;
	margin: 0 auto;
	padding-top: 60px;
	padding-bottom: 60px;

}

/*HEADER*/
#header{
	background-image: url('pix/headerbg.jpg');
	background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
	height: 100vh;
	color: white;
	text-align: center;
}
.lang_buttons{
	position: absolute;
	right: 300px;
}
.lang_btn{
	cursor: pointer;
	color: white;
	border: none;
	padding: 6px 10px;
	border-radius: 4px;
	background-color: transparent;
	opacity: .8;
}
.lang_btn:hover{
	background-color: rgba(255, 255, 255, .4);
}
.lang_btn_active,
.multi__link:hover {
	background-color: rgba(255, 255, 255, .4);
}
.headlogo{
	max-height: 76px;
	margin-bottom: 60px;
	margin-top: 60px;
}
.header_p{
	margin: 0 auto;
	padding-top: 60px;
	max-width: 50%;
}
.head_button {
  background-color: white;
  border: none;
  border-radius: 4px;
  color: black;
  padding: 12px 40px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 1rem;
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
  margin-top: 120px;
  cursor: pointer;

}
/*ABOUT*/
#about{
	background-color: white;
}
#about > .container{
	display: flex;
	flex-direction: row;
}
.lefta{
	width: 33%;
	
	background-image: url('pix/lefta.webp');
	background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
	
}
.centera{
	width: 33%;
	padding: 60px 24px 0 24px;
	text-align: center;
	padding-bottom: 60px;
}
.centera > p{
	margin-top: 60px;
}

.righta{
	width: 33%;
	background-image: url('pix/righta.webp');
	background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
/*MENU*/
#menu{
	background-color: #121223;
	color: white;
	text-align: center;
}
.menu_gal{
	display: flex;
	flex-wrap: wrap;
	row-gap: 20px;
	column-gap: 16px;
	margin-top: 60px;
}
.menu_block{
	min-width: 186px;
	max-width: 272px;
	max-height: 335px;
	text-align: left;
	background-color: #191930;
	border-radius: 4px;
}
.menu_block img{
	max-height: 200px;
	width: 100%;
	border-radius: 4px 4px 0 0;
	object-fit: cover;
}
.menu_descrip{
	padding-left: 12px;
	padding-right: 12px;
	background-color: #191930;
	display: inline-block;
}
.menu_descrip > p{
	font-size: 0.75rem;
	opacity: .8;
	-webkit-line-clamp: 3;
	line-clamp: 3;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
}
.menu_descrip > h5{
	margin-top: 12px;
	margin-bottom: 12px;
}
.menu_button{
	margin-top: 12px;
	margin-bottom: 12px;
	float: right;
	background-color: rgba(255, 255, 255, 0);
	border-radius: 4px;
  border: none;
  color: white;
  padding: 6px 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: .75rem;
  cursor: pointer;
  opacity: .8;
  font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}
.menu_button:hover{
	background-color: rgba(255, 255, 255, .5);
	border: solid .5px rgba(255, 255, 255, 0);
}
/*BOOK*/
#book{
	background-color: #191930;
}
.bookblock{
	background-color: white;
	width: 83%;
	height: 402px;
	margin: 0 auto;
	border-radius: 4px;
	text-align: center;
	padding-top: 60px;
	padding-bottom: 60px;
}


/*LOGO*/
#logo{
	padding-top: 100px;
	padding-bottom: 100px;
	background-image: url('pix/bglbox.jpg');
	background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  text-align: center;
}
#logo > img{
	max-height: 162px;

}
/*MAP*/
#map{
	text-align: center;
	background-color: black;
}
.mapbox {
    height: 400px; 
    width: 66%;
    border: none;
    border-radius: 16px;
}

/* Ensure the placeholder has a fixed size */
#map-placeholder {
    width: 100%;
    margin-top: 60px;
}

/*FOOTER*/
#footer{
	padding-top: 60px;
	padding-bottom: 60px;
	background-color: black;
	color: white;
}
.footercontainer{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;

}
.ta > img {
	max-width: 170px;
	border-radius: 16px;
	opacity: .5;
}
.hours{
	line-height: 28px;
}
.hours> h5{
	margin-bottom: 24px;
}
.hdaytime{
	display: flex;
	gap: 55px;
	line-height: 28px;
}
.fpt{
	opacity: .7;
}
.socials{
	line-height: 28px;
}
.socials > h5{
	margin-bottom: 24px;
}
.contact{
	line-height: 28px;
}
.contact > h5{
	margin-bottom: 24px;
}
.flink{
	text-decoration: none;
	color: white;
	font-family: "Raleway", sans-serif;
  font-optical-sizing: auto;
  font-weight: 300;
  font-style: normal;
}
.flink:hover{
	text-decoration: underline;
}

/*END*/
.end{
	opacity: .5;
	text-align: center;
	font-size: .75rem;
}


/*ADAPTIVE*/
@media(max-width: 1140px){

	.container{
		max-width: 90%;
	}
	.lang_buttons{
		right: 150px;
	}
	.menu_block{
		max-width: 32%;
		min-width: none;
		max-height: none;
	}
	.menu_gal{
		row-gap: 20px;
		column-gap: 2%;
	}
	.bookblock{
		width: 90%;
	}
	.mapbox{
		width: 90%;
	}
	.footercontainer{
		gap: 20px;
	}
}

@media(max-width: 834px){
	
	.headlogo{
		margin-top: calc(50vh - 400px);
	}
	.head_button {
		margin-top: 80px;
	}
	.header_p{
		max-width: 80%;
	}
	.menu_block{
		max-width: 48%;
	}
	.menu_gal{
		row-gap: 20px;
		column-gap: 4%;
	}
	.menu_descrip > p {
		-webkit-line-clamp: 2;
		line-clamp: 2;
	}
	#logo{
		padding-top: 60px;
		padding-bottom: 60px;
	}
	#logo > img{
	max-height: 100px;
	}
	.ta > img{
		max-width: 100px;
		display: flex;

	}
	.lang_buttons{
		right: 100px;
	}
}

@media(max-width: 659px){

	h1{
		font-size: 3rem;
	}
	.headlogo{
		margin-top: calc(50vh - 350px);
	}
	#about > .container{
		flex-direction: column;
	}
	.centera{
		width: 100%;
		padding: 60px 0 60px 0;
	}
	.lefta{
		width: 100%;
		height: 200px;
	}
	.righta{
		width: 100%;
		height: 200px;
	}
	.bookblock{
		width: 100%;
	}
}
@media(max-width: 495px){
	h1{
		font-size: 2.5rem;
	}
	.headlogo{
		margin-top: calc(50vh - 300px);
	}
 .lang_buttons{
		right: 50px;
	}

}

@media(max-width: 431px){
	h3{
		font-size: 2rem;
	}
	.headlogo{
		max-height: 45px;
	}
	.menu_block{
		max-width: 100%;
	}
	.menu_gal{
		row-gap: 20px;
		column-gap: none;
	}
	.header_p{
		max-width: 95%;
	}
	#logo > img{
	max-height: 60px;
	}
	.lang_buttons{
		right: 15px;
	}
}
@media(max-width:361px){
	.ta > img{
		max-width: 100px;
		display: inline-block;

	}
}
@media(max-width: 321px){
	h1{
		font-size: 2rem;
	}
	.head_button {
		margin-top: 40px;
	}
}
